Subject: Re: bug#24553: 25.1; epa ignores epg-gpg-program in very confusing way

From: Nick Helm <[email-masked]>
Date: Thu, 29 Sep 2016 16:07:43 +1300

> I need to edit some files that decrypt properly with gpg 1.4 but not gpg
> 2.1.  I have both installed on my system, with 1.4 as /usr/bin/gpg1 and
> 2.1 as /usr/bin/gpg2.  The bug is that emacs ignores the epg-gpg-program
> variable *except* in error messages, which is very confusing.  

> Ideally emacs should obey epg-gpg-program ...

I have a similar problem with epg-gpg-program. See bug#24229
(https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24229) for some
discussion that might be relevant.